Bug 498132 - kdeartwork-screensavers shows as it was before it went to sleep when asking for password
kdeartwork-screensavers shows as it was before it went to sleep when asking f...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kdeartwork (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 21:43 EDT by Craig White
Modified: 2009-05-03 11:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-03 11:56:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig White 2009-04-28 21:43:24 EDT
Description of problem:

Fedora 10
kdeartwork-screensavers-4.2.2-3.fc10.i386

System Settings => Desktop => Screen Saver
- Blank screen 
- Start Automatically/10 minutes 
- Require Password After 60 seconds

Leave computer alone for > 11 minutes

Move mouse or touch keyboard, asks for password but screen as it was when it went to sleep is showing fully behind enter password to unlock dialog

Version-Release number of selected component (if applicable):

kdeartwork-screensavers-4.2.2-3.fc10.i386

How reproducible:

Upgraded to current (as of yesterday 4/27/2009)

Steps to Reproduce:
1. System Settings => Desktop => Screen Saver

2. Almost default settings...
- Blank screen 
- Start Automatically/10 minutes 
- Require Password After 60 seconds

3. Leave computer alone for > 11 minutes

Move mouse or touch keyboard, asks for password but screen as it was when it went to sleep is showing fully behind enter password to unlock dialog

  
Actual results:

Shows screen contents before it went to sleep before authentication.

Expected results:

Show blank screen behind authentication dialog.

Additional info:

I hope I filed it against the right package.

Probably unnecessary but just in case...

# rpm -qa |grep kde      
kdegraphics-4.2.2-3.fc10.i386                    
kde-filesystem-4-23.fc10.noarch                  
kdesdk-4.2.2-2.fc10.i386                         
kdeplasma-addons-4.2.2-2.fc10.i386               
kdeaddons-atlantikdesigner-3.5.10-2.fc10.i386    
kdebase3-3.5.10-7.fc10.i386                      
kdeartwork-4.2.2-3.fc10.i386                                                                                                                                
solar-kde-theme-0.1.17-1.fc10.noarch                                                                                                                        
kdepimlibs-akonadi-4.2.2-3.fc10.i386                                                                                                                        
kdeutils-4.2.2-2.fc10.i386                                                                                                                                  
kdevelop-3.5.4-1.fc10.i386                                                                                                                                  
kdeedu-libs-4.2.2-1.fc10.i386                                                                                                                               
kdebase-runtime-libs-4.2.2-4.fc10.i386                                                                                                                      
kdelibs-common-4.2.2-7.fc10.i386                                                                                                                            
lockdev-1.0.1-13.fc10.i386                                                                                                                                  
kdelibs-4.2.2-7.fc10.i386                                                                                                                                   
kdeutils-printer-applet-4.2.2-2.fc10.i386                                                                                                                   
kdelibs3-devel-3.5.10-3.fc10.i386                                                                                                                           
kdebluetooth-0.3-1.fc10.i386                                                                                                                                
kdeartwork-sounds-4.2.2-3.fc10.noarch                                                                                                                       
kdebase-workspace-4.2.2-3.fc10.i386                                                                                                                         
kde-settings-kdm-4.1-6.20090206svn.fc10.noarch                                                                                                              
kdeclassic-icon-theme-4.2.2-3.fc10.noarch
kdebindings-4.2.2-2.fc10.i386
kdeartwork-kxs-4.2.2-3.fc10.i386
kdesdk-utils-4.2.2-2.fc10.i386
kdesdk-libs-4.2.2-2.fc10.i386
kde-settings-pulseaudio-4.1-6.20090206svn.fc10.noarch
kdeedu-kstars-4.2.2-1.fc10.i386
kdepim-devel-4.2.2-3.fc10.i386
kdebase-libs-4.2.2-3.fc10.i386
unixODBC-kde-2.2.12-9.fc10.i386
kdegames-libs-4.2.2-6.fc10.i386
kdepim3-libs-3.5.10-1.fc10.i386
kdeedu-marble-4.2.2-1.fc10.i386
kdebase-4.2.2-3.fc10.i386
kdebase3-devel-3.5.10-7.fc10.i386
kdenetwork-libs-4.2.2-1.fc10.i386
kdegames-4.2.2-6.fc10.i386
kdepim-libs-4.2.2-3.fc10.i386
kdeartwork-screensavers-4.2.2-3.fc10.i386
kdegames3-3.5.10-3.fc10.i386
kdeadmin-4.2.2-2.fc10.i386
kdevelop-libs-3.5.4-1.fc10.i386
kdegames3-libs-3.5.10-3.fc10.i386
kdepim-4.2.2-3.fc10.i386
kdemultimedia-libs-4.2.2-2.fc10.i386
kdepimlibs-4.2.2-3.fc10.i386
kdenetwork-devel-4.2.2-1.fc10.i386
compiz-kde-0.7.8-7.fc10.i386
kdelibs-devel-4.2.2-7.fc10.i386
kdebase-runtime-4.2.2-4.fc10.i386
kdebase3-libs-3.5.10-7.fc10.i386
kdeaccessibility-4.2.2-1.fc10.i386
kdemultimedia-4.2.2-2.fc10.i386
kdewebdev-3.5.10-1.fc10.i386
kdelibs3-3.5.10-3.fc10.i386
kde-settings-4.1-6.20090206svn.fc10.noarch
kdebase3-pim-ioslaves-3.5.10-7.fc10.i386
kdenetwork-4.2.2-1.fc10.i386
kdeedu-math-4.2.2-1.fc10.i386
lockdev-devel-1.0.1-13.fc10.i386
kdewebdev-libs-3.5.10-1.fc10.i386
kdeartwork-wallpapers-4.2.2-3.fc10.noarch
kdeedu-4.2.2-1.fc10.i386
kdebase-workspace-libs-4.2.2-3.fc10.i386
kdesvn-1.2.4-1.fc10.i386
kdegraphics-libs-4.2.2-3.fc10.i386
kdegraphics-devel-4.2.2-3.fc10.i386
Comment 1 Rex Dieter 2009-04-28 21:51:39 EDT
What video hw/driver are you using?
Do you have desktop effects (compositing) enabled?
Comment 2 Rex Dieter 2009-04-28 21:52:23 EDT
If compositing enabled, that's likely it.  If this is the case, try to reproduce with desktop effects turned off.
Comment 3 Craig White 2009-04-28 22:04:16 EDT
compositing?

# cat /etc/X11/xorg.conf
# Xorg configuration created by system-config-display

Section "ServerLayout"
        Identifier     "single head configuration"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
# keyboard added by rhpxl
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105+inet"
        Option      "XkbLayout" "us"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        ModelName    "LCD Panel 1280x1024"
        HorizSync    31.5 - 64.0
        VertRefresh  56.0 - 65.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "nv"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection

Is there somewhere else it might have been turned on (I doubt I turned it on but anything is possible)
Comment 4 Craig White 2009-04-28 22:05:45 EDT
FWIW - F11/beta on my Aspire One doesn't do that so you may be onto something but it seems it just started happening after the latest round of KDE updates. It's possible it's my unique setup but I haven't mucked much with video settings on this system.
Comment 5 Rex Dieter 2009-04-28 22:17:10 EDT
ok, nv doesn't support compositing, as I understand it, so that's not it.
Comment 6 Craig White 2009-05-03 11:21:26 EDT
I suggest that you close this report as subsequent updating and restarting has apparently fixed this though I don't know why. Perhaps the kdelibs or kdebase-workspace updates, I just don't know but the last few times that I woke the system, the background was blanked and only the authentication dialog was visible which is the desired behavior.
Comment 7 Rex Dieter 2009-05-03 11:56:53 EDT
OK, in fairness, I see the artifacts on occasion resuming too, but haven't been bothered enought to ask upstream yet.

Note You need to log in before you can comment on or make changes to this bug.